RedCrawler API
Scrape V1

Duplicate Posts by ID V1

Get duplicate/crosspost listings for a post. SFW only — use V2 for NSFW.

GET /api/v1/publishing/duplicates/{post}

Get duplicate/crosspost listings for a post. SFW only — use V2 for NSFW.

Path parameters

NameTypeRequiredDescription
poststringYesPost ID (stripped, e.g. 1sys4r2)

Query parameters

NameTypeRequiredDescription
limitstringNoMax results (1-100, default: 25)

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X GET "https://red-crawler1.p.rapidapi.com/api/v1/publishing/duplicates/1sys4r2?limit=25" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com"

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/publishing/duplicates/1sys4r2?limit=25", {
  method: "GET",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    }
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v1/publishing/duplicates/1sys4r2?limit=25"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
}
resp = requests.get(url, headers=headers)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": [
    {
      "kind": "Listing",
      "data": {
        "after": null,
        "dist": 1,
        "modhash": "",
        "geo_filter": "",
        "children": [
          {
            "kind": "t3",
            "data": {
              "approved_at_utc": null,
              "subreddit": "test",
              "selftext": "image post body",
              "user_reports": [],
              "saved": false,
              "mod_reason_title": null,
              "gilded": 0,
              "clicked": false,
              "title": "image post",
              "link_flair_richtext": [],
              "subreddit_name_prefixed": "r/test",
              "hidden": false,
              "pwls": null,
              "link_flair_css_class": null,
              "downs": 0,
              "thumbnail_height": 140,
              "top_awarded_type": null,
              "hide_score": true,
              "name": "t3_1sys4r2",
              "quarantine": false,
              "link_flair_text_color": "dark",
              "upvote_ratio": 1.0,
              "author_flair_background_color": null,
              "subreddit_type": "public",
              "ups": 1,
              "total_awards_received": 0,
              "media_embed": {},
              "thumbnail_width": 140,
              "author_flair_template_id": null,
              "is_original_content": false,
              "author_fullname": "t2_exampleu",
              "secure_media": null,
              "is_reddit_media_domain": true,
              "is_meta": false,
              "category": null,
              "secure_media_embed": {},
              "link_flair_text": null,
              "can_mod_post": false,
              "score": 1,
              "approved_by": null,
              "is_created_from_ads_ui": false,
              "author_premium": false,
              "thumbnail": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
              "edited": false,
              "author_flair_css_class": null,
              "author_flair_richtext": [],
              "gildings": {},
              "post_hint": "image",
              "content_categories": null,
              "is_self": false,
              "mod_note": null,
              "created": 1777449032.0,
              "link_flair_type": "text",
              "wls": null,
              "removed_by_category": null,
              "banned_by": null,
              "author_flair_type": "text",
              "domain": "i.redd.it",
              "allow_live_comments": false,
              "selftext_html": "<!-- SC_OFF --><div class=\"md\"><p>image post body</p>\n</div><!-- SC_ON -->",
              "likes": null,
              "suggested_sort": null,
              "banned_at_utc": null,
              "url_overridden_by_dest": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
              "view_count": null,
              "archived": false,
              "no_follow": true,
              "is_crosspostable": false,
              "pinned": false,
              "over_18": false,
              "preview": {
                "images": [
                  "\u2026"
                ],
                "enabled": true
              },
              "all_awardings": [],
              "awarders": [],
              "media_only": false,
              "can_gild": false,
              "spoiler": false,
              "locked": false,
              "author_flair_text": null,
              "treatment_tags": [],
              "visited": false,
              "removed_by": null,
              "num_reports": null,
              "distinguished": null,
              "subreddit_id": "t5_examples",
              "author_is_blocked": false,
              "mod_reason_by": null,
              "removal_reason": null,
              "link_flair_background_color": "",
              "id": "1sys4r2",
              "is_robot_indexable": true,
              "num_duplicates": 0,
              "report_reasons": null,
              "author": "Motor_Tip8865",
              "discussion_type": null,
              "num_comments": 0,
              "send_replies": true,
              "media": null,
              "contest_mode": false,
              "author_patreon_flair": false,
              "author_flair_text_color": null,
              "permalink": "/r/test/comments/1sys4r2/image_post/",
              "stickied": false,
              "url": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
              "subreddit_subscribers": 41527,
              "created_utc": 1777449032.0,
              "num_crossposts": 0,
              "mod_reports": [],
              "is_video": false
            }
          }
        ],
        "before": null
      }
    },
    {
      "kind": "Listing",
      "data": {
        "after": null,
        "dist": 0,
        "modhash": "",
        "geo_filter": "",
        "children": [],
        "before": null
      }
    }
  ],
  "error": null,
  "timestamp": "2026-04-29T08:58:43.948686+00:00"
}

On this page